import { StiFormElement } from "../elements/base/StiFormElement";
import { StiHttpClientService } from "./http-client.service";
import { StiModelService } from "./model.service";
import { StiMouseService } from "./mouse.service";
import * as i0 from "@angular/core";
export declare class StiColumnDraggableService {
    model: StiModelService;
    mouseService: StiMouseService;
    httpService: StiHttpClientService;
    isDragging: boolean;
    itemLabel: String;
    top: string;
    left: string;
    headerRect: DOMRect;
    cursor: string;
    canDrop: boolean;
    fromTable: boolean;
    parentElement: StiFormElement;
    private _item;
    private _insertIndex;
    containerHeight: number;
    containerWidth: number;
    private items;
    private mouseDownX;
    private mouseDownY;
    startX: number;
    startY: number;
    private headerClicked;
    constructor(model: StiModelService, mouseService: StiMouseService, httpService: StiHttpClientService);
    mouseMove(event: MouseEvent): void;
    endDrag(): void;
    onHeaderClick(event: MouseEvent, item: any, items: any[], fromTable?: boolean, parentElement?: StiFormElement): void;
    getIndexOfBottomItem(event: any): void;
    get insertIndex(): number;
    set insertIndex(value: number);
    get item(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiColumnDraggableService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiColumnDraggableService>;
}
